Summary:	SNMP support for Perl 5
Name:		perl-SNMP_Session
Version:	1.16
Release:	%mkrel 3
Group:		Development/Perl
License:	Artistic
URL:		https://github.com/sleinen/snmp-session/
Source0:	https://github.com/sleinen/snmp-session/archive/v%{version}/SNMP_Session-%{version}.tar.gz
Patch0:		SNMP_Session-1.13-fix_ivp6.patch
BuildArch:	noarch

BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)

%description
Pure Perl SNMP v1 and SNMP v2 support for Perl 5.

The SNMP operations currently supported are "get", "get-next", "get-bulk"
and "set", as well as trap generation and reception.

%prep
%autosetup -p1 -n snmp-session-%{version}

%{__perl} -pi -e 's|^#!/usr/local/bin/perl\b|#!%{__perl}|' test/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Artistic README README.SNMP_util index.html MYMETA.yml
%{perl_vendorlib}/SNMP_Session.pm
%{perl_vendorlib}/SNMP_util.pm
%{perl_vendorlib}/BER.pm
%{perl_vendorlib}/Net_SNMP_util.pm
%{perl_vendorlib}/SNMP_Table.pm
%{_mandir}/man3/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.16-3.mga10
+ Revision: 2234987
- Mageia 10 Mass Rebuild

* Wed Jan 29 2025 daviddavid <daviddavid> 1.16-2.mga10
+ Revision: 2143383
- remove test folder from doc as it generate bogus auto-require

* Wed Jan 29 2025 daviddavid <daviddavid> 1.16-1.mga10
+ Revision: 2143217
- update to 1.16

* Tue Apr 02 2024 daviddavid <daviddavid> 1.13-11.mga10
+ Revision: 2053838
- switch to autosetup

* Sun Mar 20 2022 umeabot <umeabot> 1.13-10.mga9
+ Revision: 1805675
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.13-9.mga8
+ Revision: 1497181
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.13-8.mga7
+ Revision: 1271193
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.13-7.mga6
+ Revision: 1033110
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.13-6.mga6
+ Revision: 933569
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.13-5.mga5
+ Revision: 750071
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.13-4.mga5
+ Revision: 686131
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.13-3.mga4
+ Revision: 514477
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.13-2.mga3
+ Revision: 372406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.13-1.mga1
+ Revision: 26928
- mageia rebuild
- imported package perl-SNMP_Session


* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdv2010.1
+ Revision: 468580
- add redhat patch to fix prototype mismatch error messages (#55027)
- new version
- spec cleanup

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.12-3mdv2010.0
+ Revision: 430537
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.12-2mdv2009.0
+ Revision: 268717
- rebuild early 2009.0 package (before pixel changes)

  + Oden Eriksson <oeriksson@mandriva.com>
    - 1.12

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.10-1mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.10-1mdv2008.0
+ Revision: 81493
- Import perl-SNMP_Session



* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.10-1mdv2008.0
- initial Mandriva package (fedora import)
